Package: groovy.text

## [Java] Class TemplateExecutionException

- groovy.text.TemplateExecutionException

-     public class TemplateExecutionException
      extends Exception

  A custom exception class to flag template execution errors

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TemplateExecutionException(int lineNumber)`
    `TemplateExecutionException(int lineNumber, String message)`
    `TemplateExecutionException(int lineNumber, String message, Throwable cause)`
    `TemplateExecutionException(int lineNumber, Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getLineNumber()` Returns the line number in the template source where the error occurred

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public TemplateExecutionException(int lineNumber)

    - #### public TemplateExecutionException(int lineNumber, String message)

    - #### public TemplateExecutionException(int lineNumber, String message, Throwable cause)

    - #### public TemplateExecutionException(int lineNumber, Throwable cause)

  - ### Method Detail

    - #### public int getLineNumber()

      Returns the line number in the template source where the error occurred

      Returns:
        the one-based line number of the template parsing error.